Enumerations

# settings_widget.h File Reference

Types related to the settings widgets. More...

Go to the source code of this file.

## Enumerations
enum | GameOptionsWidgets { WID_GO_BACKGROUND, WID_GO_CURRENCY_DROPDOWN, WID_GO_DISTANCE_DROPDOWN, WID_GO_ROADSIDE_DROPDOWN, WID_GO_TOWNNAME_DROPDOWN, WID_GO_AUTOSAVE_DROPDOWN, WID_GO_LANG_DROPDOWN, WID_GO_RESOLUTION_DROPDOWN, WID_GO_FULLSCREEN_BUTTON, WID_GO_SCREENSHOT_DROPDOWN, WID_GO_BASE_GRF_DROPDOWN, WID_GO_BASE_GRF_STATUS, WID_GO_BASE_GRF_TEXTFILE, WID_GO_BASE_GRF_DESCRIPTION = WID_GO_BASE_GRF_TEXTFILE + TFT_END, WID_GO_BASE_SFX_DROPDOWN, WID_GO_BASE_SFX_TEXTFILE, WID_GO_BASE_SFX_DESCRIPTION = WID_GO_BASE_SFX_TEXTFILE + TFT_END, WID_GO_BASE_MUSIC_DROPDOWN, WID_GO_BASE_MUSIC_STATUS, WID_GO_BASE_MUSIC_TEXTFILE, WID_GO_BASE_MUSIC_DESCRIPTION = WID_GO_BASE_MUSIC_TEXTFILE + TFT_END }
| Widgets of the GameOptionsWindow class. More...
enum | GameSettingsWidgets { WID_GS_FILTER, WID_GS_OPTIONSPANEL, WID_GS_SCROLLBAR, WID_GS_HELP_TEXT, WID_GS_EXPAND_ALL, WID_GS_COLLAPSE_ALL, WID_GS_RESTRICT_CATEGORY, WID_GS_RESTRICT_TYPE, WID_GS_RESTRICT_DROPDOWN, WID_GS_TYPE_DROPDOWN }
| Widgets of the GameSettingsWindow class. More...
enum | CustomCurrencyWidgets { WID_CC_RATE_DOWN, WID_CC_RATE_UP, WID_CC_RATE, WID_CC_SEPARATOR_EDIT, WID_CC_SEPARATOR, WID_CC_PREFIX_EDIT, WID_CC_PREFIX, WID_CC_SUFFIX_EDIT, WID_CC_SUFFIX, WID_CC_YEAR_DOWN, WID_CC_YEAR_UP, WID_CC_YEAR, WID_CC_PREVIEW }
| Widgets of the CustomCurrencyWindow class. More...

## Detailed Description

Types related to the settings widgets.

Definition in file settings_widget.h.

## Enumeration Type Documentation

enum CustomCurrencyWidgets

Widgets of the CustomCurrencyWindow class.

Enumerator:

  WID_CC_RATE_DOWN | Down button.
  WID_CC_RATE_UP | Up button.
  WID_CC_RATE | Rate of currency.
  WID_CC_SEPARATOR_EDIT | Separator edit button.
  WID_CC_SEPARATOR | Current separator.
  WID_CC_PREFIX_EDIT | Prefix edit button.
  WID_CC_PREFIX | Current prefix.
  WID_CC_SUFFIX_EDIT | Suffix edit button.
  WID_CC_SUFFIX | Current suffix.
  WID_CC_YEAR_DOWN | Down button.
  WID_CC_YEAR_UP | Up button.
  WID_CC_YEAR | Year of introduction.
  WID_CC_PREVIEW | Preview.

Definition at line 55 of file settings_widget.h.

enum GameOptionsWidgets

Widgets of the GameOptionsWindow class.

Enumerator:

  WID_GO_BACKGROUND | Background of the window.
  WID_GO_CURRENCY_DROPDOWN | Currency dropdown.
  WID_GO_DISTANCE_DROPDOWN | Measuring unit dropdown.
  WID_GO_ROADSIDE_DROPDOWN | Dropdown to select the road side (to set the right side ;)).
  WID_GO_TOWNNAME_DROPDOWN | Town name dropdown.
  WID_GO_AUTOSAVE_DROPDOWN | Dropdown to say how often to autosave.
  WID_GO_LANG_DROPDOWN | Language dropdown.
  WID_GO_RESOLUTION_DROPDOWN | Dropdown for the resolution.
  WID_GO_FULLSCREEN_BUTTON | Toggle fullscreen.
  WID_GO_SCREENSHOT_DROPDOWN | Select the screenshot type... please use PNG!.
  WID_GO_BASE_GRF_DROPDOWN | Use to select a base GRF.
  WID_GO_BASE_GRF_STATUS | Info about missing files etc.
  WID_GO_BASE_GRF_TEXTFILE | Open base GRF readme, changelog (+1) or license (+2).
  WID_GO_BASE_GRF_DESCRIPTION | Description of selected base GRF.
  WID_GO_BASE_SFX_DROPDOWN | Use to select a base SFX.
  WID_GO_BASE_SFX_TEXTFILE | Open base SFX readme, changelog (+1) or license (+2).
  WID_GO_BASE_SFX_DESCRIPTION | Description of selected base SFX.
  WID_GO_BASE_MUSIC_DROPDOWN | Use to select a base music set.
  WID_GO_BASE_MUSIC_STATUS | Info about corrupted files etc.
  WID_GO_BASE_MUSIC_TEXTFILE | Open base music readme, changelog (+1) or license (+2).
  WID_GO_BASE_MUSIC_DESCRIPTION | Description of selected base music set.

Definition at line 16 of file settings_widget.h.

enum GameSettingsWidgets

Widgets of the GameSettingsWindow class.

Enumerator:

  WID_GS_FILTER | Text filter.
  WID_GS_OPTIONSPANEL | Panel widget containing the option lists.
  WID_GS_SCROLLBAR | Scrollbar.
  WID_GS_HELP_TEXT | Information area to display help text of the selected option.
  WID_GS_EXPAND_ALL | Expand all button.
  WID_GS_COLLAPSE_ALL | Collapse all button.
  WID_GS_RESTRICT_CATEGORY | Label upfront to the category drop-down box to restrict the list of settings to show.
  WID_GS_RESTRICT_TYPE | Label upfront to the type drop-down box to restrict the list of settings to show.
  WID_GS_RESTRICT_DROPDOWN | The drop down box to restrict the list of settings.
  WID_GS_TYPE_DROPDOWN | The drop down box to choose client/game/company/all settings.

Definition at line 41 of file settings_widget.h.